export const objectIsValid = param => {
    if (param === undefined || param === "undefined" || param === null||param=="") {
        return false;
    }
    var tt = typeof param;
    switch (tt) {
        case "string":
            return isStrValid(param);
            break;
        case "object":
            return Object.keys(param).length > 0;
            break;
        case "number":
            return !!param;
            break;
        case "boolean":
            return param;
            break;
        default:
            return Boolean(param);
            break;
    }
}
export function isStrValid(strobj) {
    if (typeof strobj === "undefined" || strobj === null) {
        return false;
    }
    var tmpStr = String(strobj);
    return tmpStr.trim().length > 0;
}